## node-carto 0.4.3+ds1

=== debian/changelog ===
node-carto (0.4.3+ds1-2) unstable; urgency=low

  [ Andrew Harvey ]
  * Added carto man page.

 -- David Paleino <dapal@debian.org>  Fri, 18 Nov 2011 18:12:03 +0100

node-carto (0.4.3+ds1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 22:02:47 +0100

node-carto (0.4.2+ds1-1) unstable; urgency=low

  * Initial release (Closes: #646401)

 -- David Paleino <dapal@debian.org>  Sun, 23 Oct 2011 23:45:25 +0200

## node-carto 0.4.5+ds1

=== Makefile ===
#
# Run all tests
#

expresso = ./node_modules/.bin/expresso
docco = ./node_modules/.bin/docco

lint:
	./node_modules/.bin/jshint lib/carto/*.js lib/carto/tree/*.js

ifndef only
test:
	$(expresso) -I lib test/*.test.js
else
test:
	$(expresso) -I lib test/${only}.test.js
endif

doc:
	$(docco) lib/carto/*.js lib/carto/tree/*.js

.PHONY: test

=== debian/changelog ===
node-carto (0.4.5+ds1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Fri, 30 Dec 2011 13:00:26 +0100

=== debian/control ===
Source: node-carto
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: http://github.com/mapbox/carto.git
Vcs-Git: git://git.debian.org/collab-maint/node-carto.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-carto.git;a=summary

Package: carto
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-xml2js
 , node-underscore
Provides: node-carto
Description: Mapnik stylesheet compiler
 Carto is a stylesheet renderer for Mapnik. It's an evolution of the Cascadenik
 idea and language, with an emphasis on speed and flexibility.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

	mv $(CURDIR)/debian/carto/usr/bin/mml2json.js \
		$(CURDIR)/debian/carto/usr/bin/mml2json

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md

override_dh_auto_build:
override_dh_auto_test:

get-orig-source:
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir . \
		--rename
	tar xvf node-carto_$(UPVER).orig.tar.gz
	# removing huge and currently useless tests
	rm -rf package/test
	rm -rf package/.gitignore
	tar cf node-carto_$(UPVER)+ds1.orig.tar package/
	gzip -9 node-carto_$(UPVER)+ds1.orig.tar
	rm -rf package/ node-carto_$(UPVER).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=carto \
	http://registry.npmjs.org/carto/-/carto-(\d+.*)\.tgz

## node-carto 0.4.6+ds1

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 ifndef only
 test:
-	$(expresso) -I lib test/*.test.js
+	@NODE_PATH=./lib:$NODE_PATH $(expresso) -I lib test/*.test.js
 else
 test:
-	$(expresso) -I lib test/${only}.test.js
+	@NODE_PATH=./lib:$NODE_PATH $(expresso) -I lib test/${only}.test.js
 endif
 
 doc:

=== debian/changelog ===
node-carto (0.4.6+ds1-3) unstable; urgency=low

  * Add missing Recommends on node-millstone
  * Fix wrong dependency on nodejs

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 10:58:13 +0200

node-carto (0.4.6+ds1-2) unstable; urgency=low

  * Migrate from node to nodejs (Closes: #686897)
  * Standards-Version bump to 3.9.4, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 10:49:12 +0200

node-carto (0.4.6+ds1-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Fix Homepage link (Closes: #655725)
  * Update debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 19:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.2
-Homepage: http://github.com/mapbox/carto.git
+Standards-Version: 3.9.4
+Homepage: http://github.com/mapbox/carto
 Vcs-Git: git://git.debian.org/collab-maint/node-carto.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-carto.git;a=summary
 
@@ -15,9 +15,11 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6.19~dfsg1-3~)
  , node-xml2js
  , node-underscore
+Recommends:
+ node-millstone
 Provides: node-carto
 Description: Mapnik stylesheet compiler
  Carto is a stylesheet renderer for Mapnik. It's an evolution of the Cascadenik

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifndef UPVER
 UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
+endif
 
 %:
 	dh $@

## node-carto 0.9.5

=== Makefile ===
#
# Run all tests
#

expresso = ./node_modules/.bin/mocha

lint:
	./node_modules/.bin/jshint lib/carto/*.js lib/carto/tree/*.js

ifndef only
test:
	@NODE_PATH=./lib:$NODE_PATH $(expresso) -R spec -I lib test/*.test.js
else
test:
	@NODE_PATH=./lib:$NODE_PATH $(expresso) -R spec -I lib test/${only}.test.js
endif

check: test

.PHONY: test

=== debian/changelog ===
node-carto (0.9.5-2) unstable; urgency=low

  * Breaks and replaces carto (<< 0.9.5) (Closes: #728561)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 03 Nov 2013 17:34:37 +0100

node-carto (0.9.5-1) unstable; urgency=low

  * New upstream version
  * Drop repackaging, not needed
  * Add a manpage for mml2json.js
  * Canonicalize Vcs fields
  * Build-Depends nodejs, so it's available where installable
  * Depends node-optimist, mapnik-reference
  * Loosen nodejs dependency
  * Watch github
  * Remove unneeded patches (all), rewrite node shebang on install

 -- Jérémy Lal <kapouer@melix.org>  Sat, 26 Oct 2013 01:04:03 +0200

=== debian/control ===
Source: node-carto
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.4
Homepage: http://github.com/mapbox/carto
Vcs-Git: git://anonscm.debian.org/collab-maint/node-carto.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-carto.git

Package: node-carto
Architecture: all
Breaks: carto (<< 0.9.5)
Replaces: carto (<< 0.9.5)
Depends:
 ${misc:Depends}
 , nodejs
 , node-xml2js
 , node-underscore
 , mapnik-reference
 , node-optimist
Recommends:
 node-millstone
Description: Mapnik stylesheet compiler
 Carto is a stylesheet renderer for Mapnik.
 It's an evolution of the Cascadenik idea and language,
 with an emphasis on speed and flexibility.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	sed -i '1c#!/usr/bin/nodejs' $(CURDIR)/debian/node-carto/usr/lib/nodejs/carto/bin/*


override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md

override_dh_auto_build:
override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-carto-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/mapbox/carto/tags .*/archive/v?([\d\.]+).tar.gz

## node-carto 1.2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = carto
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
node-carto (1.2.0-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on nodejs.
    + node-carto: Drop versioned constraint on node-lodash and nodejs in
      Depends.

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed.
  * Replace /releases by /tags in GitHub urls
  * Tag nodejs dependency with :any

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 11:06:42 +0100

node-carto (1.2.0-3) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Yadd ]
  * Fix filenamemangle
  * Fix debian/control for Debian::Control (Closes: #1006055)

 -- Yadd <yadd@debian.org>  Sat, 19 Feb 2022 08:32:06 +0100

node-carto (1.2.0-2) unstable; urgency=medium

  * debian/salsa-ci.yml: disable aptly
  * yaml.safeLoad is removed in js-yaml 4. Use yaml.load instead

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 11 Dec 2021 00:06:26 +0100

node-carto (1.2.0-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * debhelper 9
  * Standards-Version 3.9.8
  * Secure Vcs url
  * Source is not missing really, override lintian error

  [ Bas Couwenberg ]
  * Restructure control file with cme.
  * Update Vcs-* URLs for Salsa.
  * Add node-{chroma-js,husl,lodash,semver} to dependencies.
  * Drop node-{optimist,underscore,xml2js} from dependencies.
  * Use mocha in dh_auto_test override.
  * Add build dependencies for tests.

  [ Johannes Schauer Marin Rodrigues ]
  * New upstream version 1.2.0 (Closes: #998813)
  * dh compat 13
  * build docs with sphinx
  * regenerate man page with help2man
  * update Standards-Version
  * add Rules-Requires-Root: no
  * update package dependencies
  * drop mml2json
  * add patches to fix tests

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 18 Nov 2021 00:01:55 +0100

=== debian/control ===
Source: node-carto
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Jérémy Lal <kapouer@melix.org>,
           Johannes Schauer Marin Rodrigues <josch@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-sequence-sphinxdoc
 , mocha
 , node-chroma-js
 , node-hsluv
 , node-js-yaml
 , node-lodash
 , mapnik-reference
 , node-sax
 , node-semver
 , help2man
 , python3-sphinx
 , python3-sphinx-rtd-theme
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-carto
Vcs-Git: https://salsa.debian.org/js-team/node-carto.git
Homepage: https://github.com/mapbox/carto
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-carto
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs:any
 , node-chroma-js (>= 1.3.5)
 , node-hsluv (>= 0.0.1)
 , node-js-yaml (>= 3.12.0)
 , node-lodash
 , mapnik-reference (>= 8.10.0)
 , node-semver (>= 5.6.0)
 , node-yargs (>= 12.0.1)
Recommends: node-millstone
Breaks: carto (<< 0.9.5)
Replaces: carto (<< 0.9.5)
Description: Mapnik stylesheet compiler
 Carto is a stylesheet renderer for Mapnik.
 It's an evolution of the Cascadenik idea and language,
 with an emphasis on speed and flexibility.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_after_dh_install:
	mkdir -p $(CURDIR)/debian/node-carto/usr/share/vim/addons/syntax/
	cp build/vim-carto/syntax/carto.vim $(CURDIR)/debian/node-carto/usr/share/vim/addons/syntax/
	mkdir -p $(CURDIR)/debian/node-carto/usr/share/vim/addons/ftdetect/
	cp build/vim-carto/ftdetect/carto.vim $(CURDIR)/debian/node-carto/usr/share/vim/addons/ftdetect/
	rm -r $(CURDIR)/debian/node-carto/usr/share/nodejs/carto/build
	rm -r $(CURDIR)/debian/node-carto/usr/share/nodejs/carto/man

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md

override_dh_auto_build:
	help2man ./bin/carto > man/carto.1
	$(MAKE) -C docs html

override_dh_auto_test:
	# for unknown reason, the fontset-duplication test fails
	rm ./test/rendering/fontset-duplication.mml
	mocha

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-carto-$1/ \
 https://github.com/mapbox/carto/tags .*/archive.*/v?([\d\.]+).tar.gz
